'use strict';

var _botkit = require('botkit');

var _botkit2 = _interopRequireDefault(_botkit);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var controller = _botkit2.default.slackbot({ debug: false });
var bot = controller.spawn({ token: process.env.token }).startRTM();

controller.hears(['お鮨', '^sushi$'], 'direct_message, direct_mention, mention, ambient', function (bot, message) {
  // 発言元に emoji リアクションをつける
  bot.api.reactions.add({
    timestamp: message.ts,
    channel: message.channel,
    name: 'sushi'
  }, function (err, res) {
    if (err) {
      bot.log("Failed to add emoji reaction", err);
    }
  });
});