import Botkit from 'botkit'

const controller = Botkit.slackbot({ debug: false });
const bot = controller.spawn({ token: process.env.token }).startRTM();

controller.hears(
  ['お鮨', '^sushi$'], 
  'direct_message, direct_mention, mention, ambient', 
  (bot, message) => {
    // 発言元に emoji リアクションをつける
    bot.api.reactions.add({
      timestamp: message.ts,
      channel: message.channel,
      name: 'sushi',
    }, (err, res) => {
      if (err) {
        bot.log("Failed to add emoji reaction", err);
      }
    });   
  }
);
