'use strict';

var _botkit = require('botkit');

var _botkit2 = _interopRequireDefault(_botkit);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var controller = _botkit2.default.slackbot({ debug: false });

var bot = controller.spawn({
  token: process.env.token
}).startRTM();

controller.hears(['Hello'], 'direct_message, direct_mention, mention', function (bot, message) {
  bot.api.users.info({ user: message.user }, function (err, res) {
    bot.reply(message, 'こんにちは、' + res.user.name + 'さん');
  });
});